services:
  nas-proxy:
    image: nginx:alpine
    restart: unless-stopped

    volumes:
      - /opt/stacks/20_store/nginx.conf:/etc/nginx/conf.d/default.conf:ro

    networks:
      - tan-network

    labels:
      - traefik.enable=true

      - traefik.http.routers.nas.rule=Host(`store.luckyden.org`)
      - traefik.http.routers.nas.entrypoints=websecure
      - traefik.http.routers.nas.tls.certresolver=cloudflare
      - traefik.http.services.nas.loadbalancer.server.port=80

networks:
  tan-network:
    external: true
